For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList agent runs
        • POSTCreate an agent run
        • GETRetrieve an agent run
        • POSTSubmit feedback on an agent run
        • GETStream agent run events
LogoLogo
Contact SalesGet Support
Middesk APIAgentsRuns

List agent runs

GET
https://api.middesk.com/v1/runs
GET
/v1/runs
$curl https://api.middesk.com/v1/runs \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "object": "list",
3 "has_more": true,
4 "data": [
5 {
6 "object": "run",
7 "id": "id",
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-01-15T09:30:00Z",
10 "status": "running",
11 "thread_id": "thread_id",
12 "agent": "agent",
13 "requester": {
14 "id": "id",
15 "name": "name"
16 },
17 "started_at": "2024-01-15T09:30:00Z",
18 "ended_at": "2024-01-15T09:30:00Z",
19 "output": {
20 "artifacts": [
21 {
22 "title": "title",
23 "type": "type"
24 }
25 ]
26 },
27 "interrupts": [
28 {
29 "id": "id",
30 "value": {
31 "key": "value"
32 }
33 }
34 ],
35 "steps": [
36 {
37 "id": "id",
38 "run_id": "run_id",
39 "type": "activity",
40 "name": "name",
41 "label": "label",
42 "status": "running",
43 "started_at": "2024-01-15T09:30:00Z"
44 }
45 ]
46 }
47 ],
48 "total_count": 1
49}
Returns a paginated list of agent runs
Was this page helpful?
Previous

Create an agent run

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptional
Page number
per_pageintegerOptional
Items per page

Response

agent runs list with pagination
objectstring
has_moreboolean
datalist of objects
total_countinteger